> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Studio-project ophalen

GET https://api.elevenlabs.io/v1/studio/projects/{project_id}

Retourneert informatie over een specifiek Studio-project. Dit endpoint retourneert gedetailleerdere informatie over een project dan `GET /v1/studio`.

Reference: https://elevenlabs.io/docs/api-reference/studio/get-project

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `project_id` (string, required) — De ID van het te gebruiken project. Je kunt het endpoint [List projects](/docs/api-reference/studio/get-projects) gebruiken om alle beschikbare projecten weer te geven.

### Query parameters

- `share_id` (string, optional, nullable) — De deel-ID van het project

## Response

### 200

Geslaagde response

- `project_id` (string, required) — De ID van het project.
- `name` (string, required) — De naam van het project.
- `create_date_unix` (integer, required) — De aanmaakdatum van het project.
- `created_by_user_id` (string, required, nullable) — De gebruikers-ID van degene die het project heeft gemaakt.
- `default_title_voice_ref_id` (string, required) — De standaardreferentie-ID voor de projectstem van een titel.
- `default_paragraph_voice_ref_id` (string, required) — De standaardreferentie-ID voor de projectstem van een alinea.
- `default_model_id` (string, required) — De standaardmodel-ID.
- `can_be_downloaded` (boolean, required) — Of het project kan worden gedownload.
- `volume_normalization` (boolean, required) — Of het project volumenormalisatie gebruikt.
- `state` (enum, required) — De status van het project.
  - Allowed values: `creating`, `default`, `converting`, `in_queue`
- `access_level` (enum, required) — Het toegangsniveau van het project.
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `quality_preset` (enum, required) — Het kwaliteitspresetniveau van het project.
  - Allowed values: `standard`, `high`, `ultra`, `ultra_lossless`
- `chapters` (list of ChapterResponseModel, required) — Lijst met hoofdstukken van het project en hun metadata.
- `pronunciation_dictionary_versions` (list of PronunciationDictionaryVersionResponseModel, required) — Lijst met versies van uitspraakwoordenboeken van het project en hun metadata.
- `pronunciation_dictionary_locators` (list of PronunciationDictionaryLocatorResponseModel, required) — Lijst met verwijzingen naar uitspraakwoordenboeken.
- `apply_text_normalization` (enum, required) — Of tekstnormalisatie wordt toegepast op het project.
  - Allowed values: `auto`, `on`, `off`, `apply_english`
- `assets` (list of ProjectExtendedResponseModelAssetsItems, required) — Lijst met geüploade assets, zoals video's en audio.
- `voices` (list of ProjectVoiceResponseModel, required) — Lijst met geconfigureerde projectstemmen.
- `quality_check_on` (boolean, required, deprecated) — Of kwaliteitscontrole is ingeschakeld voor dit project.
- `quality_check_on_when_bulk_convert` (boolean, required, deprecated) — Of kwaliteitscontrole is ingeschakeld voor het project bij bulkconversie.
- `default_title_voice_id` (string, required, deprecated) — De standaardstem-ID voor titels.
- `default_paragraph_voice_id` (string, required, deprecated) — De standaardstem-ID voor alinea's.
- `last_conversion_date_unix` (integer, optional, nullable) — De laatste conversiedatum van het project.
- `title` (string, optional, nullable) — De titel van het project.
- `author` (string, optional, nullable) — De auteur van het project.
- `description` (string, optional, nullable) — De beschrijving van het project.
- `genres` (list of string, optional, nullable) — Lijst met genres van het project.
- `cover_image_url` (string, optional, nullable) — De URL van de omslagafbeelding van het project.
- `target_audience` (enum, optional, nullable) — De doelgroep van het project.
  - Allowed values: `children`, `young adult`, `adult`, `all ages`
- `language` (string, optional, nullable) — Tweeletterige taalcode (ISO 639-1) van de taal van het project.
- `content_type` (string, optional, nullable) — Het inhoudstype van het project, bijvoorbeeld 'Roman' of 'Kort verhaal'
- `original_publication_date` (string, optional, nullable) — De oorspronkelijke publicatiedatum van het project.
- `mature_content` (boolean, optional, nullable) — Of het project content voor volwassenen bevat.
- `isbn_number` (string, optional, nullable) — Het ISBN-nummer van het project.
- `fiction` (enum, optional, nullable) — Of het project fictie is.
  - Allowed values: `fiction`, `non-fiction`
- `creation_meta` (ProjectCreationMetaResponseModel, optional, nullable) — De metadata over het aanmaken van het project.
- `source_type` (enum, optional, nullable) — Het brontype van het project.
  - Allowed values: `blank`, `book`, `article`, `genfm`, `video`, `screenplay`
- `chapters_enabled` (boolean, optional, nullable, default: true) — Of hoofdstukken zijn ingeschakeld voor het project.
- `captions_enabled` (boolean, optional, nullable, default: true) — Of ondertiteling is ingeschakeld voor het project.
- `caption_style` (CaptionStyleModel, optional, nullable) — Globale styling die op alle ondertiteling wordt toegepast
- `caption_style_template_overrides` (map from string to CaptionStyleModel, optional, nullable) — Stijlwijzigingen die zijn aangebracht in de meegeleverde sjablonen
- `public_share_id` (string, optional, nullable) — De openbare deel-ID van het project.
- `aspect_ratio` (enum, optional, nullable) — De beeldverhouding van het project.
  - Allowed values: `16:9`, `9:16`, `4:5`, `1:1`
- `agent_settings` (StudioAgentSettingsModel, optional, nullable) — Agentgerelateerde instellingen voor het project
- `experimental` (map from string to any, optional) — Experimentele functies voor het project.
- `base_voices` (list of VoiceResponseModel, optional, nullable) — Lijst met stemmen die door het project worden gebruikt.
- `publishing_read` (DirectPublishingReadResponseModel, optional, nullable) — De ElevenReader-gegevens als het boek is gepubliceerd.

## Errors

### 422 Unprocessable Entity Error

Validatiefout

- `detail` (list of ValidationError, optional)

## Types

### ChapterResponseModel

- `chapter_id` (string, required) — De ID van het hoofdstuk.
- `name` (string, required) — De naam van het hoofdstuk.
- `can_be_downloaded` (boolean, required) — Of het hoofdstuk kan worden gedownload.
- `state` (enum, required) — De status van het hoofdstuk.
  - Allowed values: `default`, `converting`
- `last_conversion_date_unix` (integer, optional, nullable) — De laatste conversiedatum van het hoofdstuk.
- `conversion_progress` (double, optional, nullable) — De voortgang van de conversie van het hoofdstuk.
- `has_video` (boolean, optional, nullable) — Of het hoofdstuk een video heeft.
- `has_visual_content` (boolean, optional, nullable) — Of het hoofdstuk visuele content bevat (video-, afbeeldings- of tekstclips).
- `voice_ids` (list of string, optional, nullable) — Lijst met stem-ID's die door het hoofdstuk worden gebruikt
- `statistics` (ChapterStatisticsResponseModel, optional, nullable) — De statistieken van het hoofdstuk.
- `last_conversion_error` (string, optional, nullable) — De laatste conversiefout van het hoofdstuk.

### PronunciationDictionaryVersionResponseModel

- `version_id` (string, required)
- `version_rules_num` (integer, required)
- `pronunciation_dictionary_id` (string, required)
- `dictionary_name` (string, required)
- `version_name` (string, required)
- `permission_on_resource` (enum, required, nullable)
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `created_by` (string, required)
- `creation_time_unix` (integer, required)
- `archived_time_unix` (integer, optional, nullable)

### PronunciationDictionaryLocatorResponseModel

- `pronunciation_dictionary_id` (string, required)
- `version_id` (string, required, nullable)

### ProjectExtendedResponseModelAssetsItems

### ProjectVoiceResponseModel

- `project_voice_ref_id` (string, required)
- `voice_id` (string, required)
- `alias` (string, required)
- `stability` (double, required)
- `similarity_boost` (double, required)
- `style` (double, required)
- `is_pinned` (boolean, required)
- `use_speaker_boost` (boolean, required)
- `volume_gain` (double, required)
- `speed` (double, required)

### ProjectCreationMetaResponseModel

- `creation_progress` (double, required) — De voortgang van het maken van het project.
- `status` (enum, required) — De status van de actie voor het maken van een project.
  - Allowed values: `draft`, `pending`, `creating`, `finished`, `failed`
- `type` (enum, required) — Het type actie voor het maken van een project.
  - Allowed values: `blank`, `generate_podcast`, `auto_assign_voices`, `dub_video`, `import_speech`

### CaptionStyleModel

- `template` (CaptionStyleTemplateModel, optional, nullable)
- `text_font` (string, optional, nullable)
- `text_scale` (double, optional, nullable)
- `text_color` (string, optional, nullable)
- `text_align` (enum, optional, nullable)
  - Allowed values: `start`, `center`, `end`
- `text_style` (enum, optional, nullable)
  - Allowed values: `normal`, `italic`
- `text_weight` (enum, optional, nullable)
  - Allowed values: `normal`, `bold`, `900`
- `text_transform` (enum, optional, nullable)
  - Allowed values: `none`, `uppercase`
- `text_blend_mode` (enum, optional, nullable)
  - Allowed values: `normal`, `difference`, `multiply`
- `text_shadow` (StudioTextStyleShadowModel, optional, nullable)
- `text_outline` (StudioTextStyleOutlineModel, optional, nullable)
- `background_enabled` (boolean, optional, nullable)
- `background_color` (string, optional, nullable)
- `background_opacity` (double, optional, nullable)
- `background_blur` (double, optional, nullable)
- `background_border_radius` (double, optional, nullable)
- `word_highlights_enabled` (boolean, optional, nullable)
- `word_highlights_color` (string, optional, nullable)
- `word_highlights_background_color` (string, optional, nullable)
- `word_highlights_opacity` (double, optional, nullable)
- `word_highlights_border_radius` (double, optional, nullable)
- `word_highlights_blur` (double, optional, nullable)
- `section_animation` (CaptionStyleSectionAnimationModel, optional, nullable)
- `word_animation` (CaptionStyleWordAnimationModel, optional, nullable)
- `character_animation` (CaptionStyleCharacterAnimationModel, optional, nullable)
- `cursor_enabled` (boolean, optional, nullable)
- `width_pct` (double, optional, nullable)
- `horizontal_placement` (CaptionStyleHorizontalPlacementModel, optional, nullable)
- `vertical_placement` (CaptionStyleVerticalPlacementModel, optional, nullable)
- `auto_break_enabled` (boolean, optional, nullable)
- `max_lines_per_section` (integer, optional, nullable)
- `max_words_per_line` (integer, optional, nullable)

### StudioAgentSettingsModel

- `tool_settings` (map from string to StudioAgentToolSettingsModel, optional)

### VoiceResponseModel

- `voice_id` (string, required) — De ID van de stem.
- `name` (string, optional) — De naam van de stem.
- `samples` (list of SampleResponseModel, optional, nullable) — Lijst met samples die aan de stem zijn gekoppeld.
- `category` (enum, optional) — De categorie van de stem.
  - Allowed values: `generated`, `cloned`, `premade`, `professional`, `famous`, `high_quality`
- `fine_tuning` (FineTuningResponseModel, optional, nullable) — Finetuninginformatie voor de stem.
- `labels` (map from string to string, optional) — Labels die aan de stem zijn gekoppeld.
- `description` (string, optional, nullable) — De beschrijving van de stem.
- `preview_url` (string, optional, nullable) — De preview-URL van de stem.
- `available_for_tiers` (list of string, optional) — De niveaus waarvoor de stem beschikbaar is.
- `settings` (VoiceSettingsResponseModel, optional, nullable) — De instellingen van de stem.
- `sharing` (VoiceSharingResponseModel, optional, nullable) — De deelinformatie van de stem.
- `high_quality_base_model_ids` (list of string, optional) — De basismodel-ID's voor stemmen van hoge kwaliteit.
- `verified_languages` (list of VerifiedVoiceLanguageResponseModel, optional, nullable) — De geverifieerde talen van de stem.
- `collection_ids` (list of string, optional, nullable) — De ID's van de collecties waartoe deze stem behoort.
- `safety_control` (enum, optional, nullable) — De veiligheidscontroles van de stem.
  - Allowed values: `NONE`, `BAN`, `CAPTCHA`, `ENTERPRISE_BAN`, `ENTERPRISE_CAPTCHA`
- `voice_verification` (VoiceVerificationResponseModel, optional, nullable) — De stemverificatie van de stem.
- `permission_on_resource` (string, optional, nullable) — De machtiging voor de resource van de stem.
- `is_owner` (boolean, optional, nullable) — Of de stem eigendom is van de gebruiker.
- `is_legacy` (boolean, optional, default: false) — Of de stem verouderd is.
- `is_mixed` (boolean, optional, default: false) — Of de stem gemixt is.
- `favorited_at_unix` (integer, optional, nullable) — Tijdstempel in Unix-tijd waarop de stem als favoriet is gemarkeerd.
- `created_at_unix` (integer, optional, nullable) — Het aanmaaktijdstip van de stem in Unix-tijd.
- `is_bookmarked` (boolean, optional, nullable) — Of de huidige gebruiker een bladwijzer voor de stem heeft geplaatst. Alleen relevant voor communitystemmen (gekopieerd uit de bibliotheek).
- `recording_quality` (enum, optional, nullable) — De opnamekwaliteit van de stem, zoals bepaald door de reviewpipeline.
  - Allowed values: `studio`, `good`, `ok`, `poor`, `bad`
- `labelling_status` (enum, optional, nullable) — De status van de reviewpipeline voor de stem.
  - Allowed values: `in_review`, `review_complete`
- `recording_quality_reason` (string, optional, nullable) — De reden voor de beoordeling van de opnamekwaliteit, zoals bepaald door de reviewpipeline.

### DirectPublishingReadResponseModel

- `read_id` (string, required)
- `created_at_unix` (integer, required)
- `updated_at_unix` (integer, required)
- `word_count` (integer, required)
- `char_count` (integer, required)
- `chapters` (list of ReadMetadataChapterDBModel, required)
- `title` (string, optional, nullable)
- `author` (string, optional, nullable)
- `description` (string, optional, nullable)
- `article_image_url` (string, optional, nullable)
- `language` (string, optional, nullable)
- `locale` (string, optional, nullable)
- `display_mode` (enum, optional, nullable)
  - Allowed values: `text`, `audio-only`, `text-with-audio`
- `genre` (list of enum, optional, nullable)
  - Allowed values: `Fantasy`, `Romance`, `Science Fiction`, `Mystery and Thriller`, `Action and Adventure`, `Dystopia`, `Business and Economics`, `Technology`, `Christian & Inspirational`, `Horror`, `Biography and Memoir`, `Education and Learning`, `History`, `Children's Literature`, `Young Adult`, `Fairy Tales and Folklore`, `Fan Fiction`, `General Fiction`, `Health and Wellness`, `Historical Fiction`, `Humor`, `Literary Classics`, `Philosophy`, `Poetry`, `Politics and Government`, `Psychology`, `Science and Nature`, `Self-Help`, `Spirituality and Religion`, `Travel`, `True Crime`, `Other`
- `fiction` (string, optional, nullable)
- `content_type` (string, optional, nullable)
- `original_file_type` (string, optional, nullable)
- `target_audience` (enum, optional, nullable)
  - Allowed values: `children`, `young adult`, `adult`, `all ages`
- `mature_content` (boolean, optional, nullable)
- `safesearch_adult` (boolean, optional, nullable)
- `origin` (string, optional, nullable)
- `publication_date` (string, optional, nullable)
- `isbn` (string, optional, nullable)
- `ean` (string, optional, nullable)
- `legal_terms` (ReadLegalTerms, optional, nullable)
- `content_guidelines_terms` (ReadLegalTerms, optional, nullable)
- `last_updated_from_project_unix` (integer, optional, nullable)
- `publishing_project_id` (string, optional, nullable)
- `publishing_state` (string, optional, default: published)
- `publisher_profile_id` (string, optional, nullable)
- `quality_score` (integer, optional, nullable)
- `publisher` (string, optional, nullable)
- `copyright` (string, optional, nullable)
- `subtitle` (string, optional, nullable)
- `distribution_territories` (list of string, optional, nullable)
- `edition` (string, optional, nullable)
- `contributors` (list of Contributor, optional, nullable)
- `payout_type` (enum, optional, nullable)
  - Allowed values: `none`, `engagement_based`, `fixed_payout`
- `list_price` (double, optional, nullable)
- `currency` ("usd", optional, nullable)
- `original_audio_project_export_id` (string, optional, nullable)
- `original_audio_document_id` (string, optional, nullable)
- `series_id` (string, optional, nullable)
- `volume` (integer, optional, nullable)
- `published_at_unix` (integer, optional, nullable)
- `read_slug` (string, optional, nullable)
- `preview_audio_object` (PreviewAudioDBModel, optional, nullable)
- `sample_config` (SampleConfigDBModel, optional, nullable)
- `review` (ReviewResponseModel, optional, nullable)
- `voice_id` (string, optional, nullable)
- `can_use_assistant` (boolean, optional, default: true)
- `is_voice_changer_on` (boolean, optional, default: false)
- `restricted_to_user_email_domains` (list of string, optional, nullable)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ChapterStatisticsResponseModel

- `characters_unconverted` (integer, required) — Het aantal niet-geconverteerde tekens.
- `characters_converted` (integer, required) — Het aantal geconverteerde tekens.
- `paragraphs_converted` (integer, required) — Het aantal geconverteerde alinea's.
- `paragraphs_unconverted` (integer, required) — Het aantal niet-geconverteerde alinea's.
- `credits_needed_to_convert` (integer, optional, nullable) — Het aantal credits dat nodig is om de resterende alinea's te converteren.
- `voice_statistics` (list of VoiceStatisticsResponseModel, optional, nullable) — Uitsplitsing van aantallen tekens per stem.

### ProjectVideoResponseModel

- `video_id` (string, required)
- `filename` (string, required)
- `signed_url` (string, required, nullable)
- `signed_preview_url` (string, required, nullable)
- `offset_ms` (integer, required)
- `duration_ms` (integer, required)
- `volume_gain_db` (double, required)
- `muted` (boolean, required)
- `width` (integer, required)
- `height` (integer, required)
- `codec` (string, required)
- `order` (string, required)
- `created_at_ms` (integer, required)
- `updated_at_ms` (integer, required)
- `thumbnail_interval_seconds` (double, required)
- `thumbnail_size` (list of integer, required)
- `thumbnail_sheets` (list of ProjectVideoThumbnailSheetResponseModel, required)
- `start_time_ms` (integer, required)
- `end_time_ms` (integer, required, nullable)
- `preview_job_progress` (double, required)
- `import_speech_progress` (double, required, nullable)
- `fade_in_ms` (integer, optional, default: 0)
- `fade_out_ms` (integer, optional, default: 0)
- `error` (string, optional, nullable)
- `asset_preview_signed_url` (string, optional, nullable)
- `source_video_id` (string, optional, nullable)
- `source_asset_id` (string, optional, nullable)
- `source_platform_asset_id` (string, optional, nullable)
- `pending_blocks_metadata` (PendingBlocksMetadataModel, optional, nullable)
- `pending_external_audios_metadata` (PendingExternalAudiosMetadataModel, optional, nullable)
- `speech_imported` (boolean, optional, default: false)
- `pending_task` (PendingClipTask, optional, nullable)
- `audio_track_ready` (boolean, optional, default: true)
- `export_format_ready` (boolean, optional, default: true)
- `current_snapshot_id` (string, optional, nullable)
- `source_context` (GenerationSourceContext, optional, nullable)
- `analysis` (VideoAnalysis, optional, nullable)
- `transcription` (AssetTranscription, optional, nullable)
- `type` ("video", optional, default: video)
- `canvas_placement` (CanvasPlacement, optional) — Definieert de positionering en transformatie van assets op het canvas.
- `animation` (ClipAnimation, optional)
- `playback_speed` (double, optional, default: 1)
- `opacity` (double, optional, default: 1)
- `track_id` (string, optional, default: v0)

### ProjectExternalAudioResponseModel

- `external_audio_id` (string, required)
- `filename` (string, required)
- `signed_url` (string, required, nullable)
- `offset_ms` (integer, required)
- `duration_ms` (integer, required)
- `start_time_ms` (integer, required)
- `end_time_ms` (integer, required, nullable)
- `order` (string, required)
- `track_id` (string, required)
- `created_at_ms` (integer, required)
- `updated_at_ms` (integer, required)
- `import_speech_progress` (double, required, nullable)
- `volume_gain_db` (double, optional, default: 0)
- `muted` (boolean, optional, default: false)
- `fade_in_ms` (integer, optional, default: 0)
- `fade_out_ms` (integer, optional, default: 0)
- `source_external_audio_id` (string, optional, nullable)
- `source_asset_id` (string, optional, nullable)
- `source_platform_asset_id` (string, optional, nullable)
- `pending_blocks_metadata` (PendingBlocksMetadataModel, optional, nullable)
- `pending_external_audios_metadata` (PendingExternalAudiosMetadataModel, optional, nullable)
- `speech_imported` (boolean, optional, default: false)
- `pending_task` (PendingClipTask, optional, nullable)
- `error` (string, optional, nullable)
- `current_snapshot_id` (string, optional, nullable)
- `source_context` (ProjectExternalAudioResponseModelSourceContext, optional, nullable)
- `analysis` (AudioAnalysis, optional, nullable)
- `transcription` (AssetTranscription, optional, nullable)
- `type` ("audio", optional, default: audio)

### ProjectImageResponseModel

- `image_id` (string, required)
- `filename` (string, required)
- `file_size_bytes` (integer, required)
- `width` (integer, required)
- `height` (integer, required)
- `offset_ms` (integer, required)
- `duration_ms` (integer, required)
- `order` (string, required)
- `canvas_placement` (CanvasPlacement, required) — Definieert de positionering en transformatie van assets op het canvas.
- `created_at_ms` (integer, required)
- `updated_at_ms` (integer, required)
- `signed_url` (string, optional, nullable)
- `thumbnail_signed_url` (string, optional, nullable)
- `type` ("image", optional, default: image)
- `source` ("upload", optional, default: upload)
- `track_id` (string, optional, default: v0)
- `animation` (ClipAnimation, optional)
- `opacity` (double, optional, default: 1)
- `current_snapshot_id` (string, optional, nullable)
- `source_asset_id` (string, optional, nullable)
- `source_platform_asset_id` (string, optional, nullable)
- `error` (string, optional, nullable)
- `pending_task` (PendingClipTask, optional, nullable)
- `analysis` (ImageAnalysis, optional, nullable)

### CaptionStyleTemplateModel

- `key` (string, required)
- `label` (string, required)
- `requires_high_fps` (boolean, optional, default: false)

### StudioTextStyleShadowModel

- `enabled` (boolean, required)
- `color` (string, required)
- `opacity` (double, required)
- `blur` (double, required)
- `offset_x` (double, required)
- `offset_y` (double, required)

### StudioTextStyleOutlineModel

- `enabled` (boolean, required)
- `color` (string, required)
- `opacity` (double, required)
- `width` (double, required)

### CaptionStyleSectionAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`

### CaptionStyleWordAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`

### CaptionStyleCharacterAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `typewriter`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`

### CaptionStyleHorizontalPlacementModel

- `align` (enum, required)
  - Allowed values: `left`, `center`, `right`
- `translate_pct` (double, required)

### CaptionStyleVerticalPlacementModel

- `align` (enum, required)
  - Allowed values: `top`, `center`, `bottom`
- `translate_pct` (double, required)

### StudioAgentToolSettingsModel

- `skip_confirmation` (boolean, optional, default: false)

### SampleResponseModel

- `sample_id` (string, optional) — De ID van het sample.
- `file_name` (string, optional) — De naam van het voorbeeldbestand.
- `mime_type` (string, optional) — Het MIME-type van het voorbeeldbestand.
- `size_bytes` (integer, optional) — De grootte van het samplebestand in bytes.
- `hash` (string, optional) — De hash van het samplebestand.
- `duration_secs` (double, optional, nullable)
- `remove_background_noise` (boolean, optional, nullable)
- `has_isolated_audio` (boolean, optional, nullable)
- `has_isolated_audio_preview` (boolean, optional, nullable)
- `speaker_separation` (SpeakerSeparationResponseModel, optional, nullable)
- `trim_start` (integer, optional, nullable)
- `trim_end` (integer, optional, nullable)

### FineTuningResponseModel

- `is_allowed_to_fine_tune` (boolean, optional) — Of de gebruiker de stem mag finetunen.
- `state` (map from string to enum, optional) — De status van het fine-tuningproces voor elk model.
  - Allowed values: `not_started`, `queued`, `fine_tuning`, `fine_tuned`, `failed`, `delayed`
- `verification_failures` (list of string, optional) — Lijst met verificatiefouten in het fine-tuningproces.
- `verification_attempts_count` (integer, optional) — Het aantal verificatiepogingen in het finetuningproces.
- `manual_verification_requested` (boolean, optional) — Of handmatige verificatie is aangevraagd voor het fine-tuningproces.
- `language` (string, optional, nullable) — De taal van het fine-tuningproces.
- `progress` (map from string to double, optional, nullable) — De voortgang van het finetuningproces.
- `message` (map from string to string, optional, nullable) — Het bericht van het fine-tuningproces.
- `dataset_duration_seconds` (double, optional, nullable) — De duur van de dataset in seconden.
- `verification_attempts` (list of VerificationAttemptResponseModel, optional, nullable) — Het aantal verificatiepogingen.
- `slice_ids` (list of string, optional, nullable) — Lijst met slice-ID's.
- `manual_verification` (ManualVerificationResponseModel, optional, nullable) — De handmatige verificatie van het fine-tuningproces.
- `max_verification_attempts` (integer, optional, nullable) — Het maximumaantal verificatiepogingen.
- `next_max_verification_attempts_reset_unix_ms` (integer, optional, nullable) — Het volgende resetmoment voor het maximumaantal verificatiepogingen, in Unix-milliseconden.
- `finetuning_state` (any, optional)

### VoiceSettingsResponseModel

- `stability` (double, optional, nullable, default: 0.5) — Bepaalt hoe stabiel de stem is en de willekeur tussen generaties. Lagere waarden zorgen voor een breder emotioneel bereik van de stem. Hogere waarden kunnen leiden tot een monotone stem met beperkte emotie.
- `use_speaker_boost` (boolean, optional, nullable, default: true) — Deze instelling verhoogt de gelijkenis met de oorspronkelijke spreker. Het gebruik van deze instelling vereist iets meer rekenkracht, waardoor de latentie toeneemt.
- `similarity_boost` (double, optional, nullable, default: 0.75) — Bepaalt hoe nauw de AI de oorspronkelijke stem moet volgen wanneer deze wordt gerepliceerd.
- `style` (double, optional, nullable, default: 0) — Bepaalt de stijlversterking van de stem. Deze instelling probeert de stijl van de oorspronkelijke spreker te versterken. Dit gebruikt extra rekenresources en kan de latentie verhogen als de waarde niet 0 is.
- `speed` (double, optional, nullable, default: 1) — Past de snelheid van de stem aan. Een waarde van 1.0 is de standaardsnelheid. Waarden lager dan 1.0 vertragen de spraak en waarden hoger dan 1.0 versnellen deze.

### VoiceSharingResponseModel

- `status` (enum, optional) — De status van het delen van de stem.
  - Allowed values: `enabled`, `disabled`, `copied`, `copied_disabled`
- `history_item_sample_id` (string, optional, nullable) — De voorbeeld-ID van het geschiedenisitem.
- `date_unix` (integer, optional) — De datum waarop de stem is gedeeld in Unix-tijd.
- `whitelisted_emails` (list of string, optional) — Een lijst met e-mailadressen op de toelatingslijst.
- `public_owner_id` (string, optional) — De ID van de openbare eigenaar.
- `original_voice_id` (string, optional) — De ID van de oorspronkelijke stem.
- `financial_rewards_enabled` (boolean, optional) — Of financiële beloningen zijn ingeschakeld.
- `free_users_allowed` (boolean, optional) — Of gratis gebruikers zijn toegestaan.
- `live_moderation_enabled` (boolean, optional) — Of live moderatie is ingeschakeld.
- `rate` (double, optional, nullable) — Het tarief voor het delen van de stem.
- `fiat_rate` (double, optional, nullable) — Het tarief voor het delen van de stem in USD per 1000 credits.
- `notice_period` (integer, optional) — De opzegtermijn voor het delen van de stem.
- `disable_at_unix` (integer, optional, nullable) — De datum waarop de stem is gedeeld in Unix-tijd.
- `voice_mixing_allowed` (boolean, optional) — Of het mixen van stemmen is toegestaan.
- `featured` (boolean, optional) — Of de stem wordt uitgelicht.
- `category` (enum, optional) — De categorie van de stem.
  - Allowed values: `generated`, `cloned`, `premade`, `professional`, `famous`, `high_quality`
- `reader_app_enabled` (boolean, optional, nullable) — Of de reader-app is ingeschakeld.
- `image_url` (string, optional, nullable) — De afbeeldings-URL van de stem.
- `ban_reason` (string, optional, nullable) — De reden waarom de stem is geblokkeerd.
- `liked_by_count` (integer, optional) — Het aantal likes voor de stem.
- `cloned_by_count` (integer, optional) — Het aantal klonen van de stem.
- `name` (string, optional) — De naam van de stem.
- `description` (string, optional, nullable) — De beschrijving van de stem.
- `labels` (map from string to string, optional) — De labels van de stem.
- `review_status` (enum, optional) — De reviewstatus van de stem.
  - Allowed values: `not_requested`, `pending`, `declined`, `allowed`, `allowed_with_changes`
- `review_message` (string, optional, nullable) — Het reviewbericht van de stem.
- `enabled_in_library` (boolean, optional) — Of de stem is ingeschakeld in de bibliotheek.
- `instagram_username` (string, optional, nullable) — De Instagram-gebruikersnaam van de stem.
- `twitter_username` (string, optional, nullable) — De Twitter/X-gebruikersnaam van de stem.
- `youtube_username` (string, optional, nullable) — De YouTube-gebruikersnaam van de stem.
- `tiktok_username` (string, optional, nullable) — De TikTok-gebruikersnaam van de stem.
- `moderation_check` (VoiceSharingModerationCheckResponseModel, optional, nullable) — De moderatiecontrole van de stem.
- `reader_restricted_on` (list of ReaderResourceResponseModel, optional, nullable) — De readerbeperking van de stem.

### VerifiedVoiceLanguageResponseModel

- `language` (string, required) — De taal van de stem.
- `model_id` (string, required) — De model-ID van de stem.
- `accent` (string, optional, nullable) — Het accent van de stem, indien van toepassing.
- `locale` (string, optional, nullable) — De locale van de stem, indien van toepassing.
- `preview_url` (string, optional, nullable) — De preview-URL van de stem, indien van toepassing.

### VoiceVerificationResponseModel

- `requires_verification` (boolean, required) — Of de stem verificatie vereist.
- `is_verified` (boolean, required) — Of de stem is geverifieerd.
- `verification_failures` (list of string, required) — Lijst met verificatiefouten.
- `verification_attempts_count` (integer, required) — Het aantal verificatiepogingen.
- `language` (string, optional, nullable) — De taal van de stem.
- `verification_attempts` (list of VerificationAttemptResponseModel, optional, nullable) — Aantal pogingen voor een verificatie.

### ReadMetadataChapterDBModel

- `chapter_name` (string, required)
- `word_count` (integer, required)
- `char_count` (integer, required)
- `starting_char_offset` (integer, required)
- `has_parsed_html` (boolean, optional, default: false)
- `has_summary` (boolean, optional, default: false)
- `duration_seconds` (double, optional, nullable)
- `file_number` (string, optional, nullable)
- `is_fallback_name` (boolean, optional, default: false)
- `chapter_id` (string, optional, nullable)

### ReadLegalTerms

- `terms` (string, optional, nullable)
- `start_date` (string, optional, nullable)
- `end_date` (string, optional, nullable)

### Contributor

- `name` (string, required)
- `role` (string, required)
- `bio` (string, optional, nullable)
- `profile_id` (string, optional, nullable)

### PreviewAudioDBModel

- `audio_url` (string, required)
- `voice_id` (string, optional, nullable)
- `text` (string, optional, nullable)
- `hls_manifest_url` (string, optional, nullable)
- `dash_manifest_url` (string, optional, nullable)
- `is_auto_generated` (boolean, optional, nullable, default: false)
- `generated_at_unix` (integer, optional, nullable)

### SampleConfigDBModel

- `is_sample` (boolean, optional, default: false)
- `parent_id` (string, optional, nullable)
- `parent_type` (enum, optional, nullable)
  - Allowed values: `read`, `collection`
- `chapter_ids` (list of string, optional, nullable)

### ReviewResponseModel

- `review_status` (enum, required)
  - Allowed values: `approved`, `edits_required`, `rejected`
- `reviewed_at_unix` (integer, required)
- `reviewed_by` (string, optional, nullable)
- `reject_reasons` (list of enum, optional, nullable)
  - Allowed values: `lacks_structure`, `doesnt_open`, `not_literary_work`, `language_not_supported`, `too_short`, `duplicate`, `promotional`, `formatting_issues`, `low_quality`, `metadata_incomplete`, `metadata_inaccurate`, `typos`, `review_error`, `spam`, `legal_violation`, `content_policy`, `public_domain`, `other`
- `scores_breakdown` (map from string to integer, optional, nullable)
- `rejected_details` (string, optional, nullable)
- `explanation` (string, optional, nullable)

### ValidationErrorLocItems

### VoiceStatisticsResponseModel

- `project_voice_ref_id` (string, required) — De referentie-ID van de projectstem.
- `characters_unconverted` (integer, required) — Het aantal niet-geconverteerde tekens voor deze stem.
- `characters_converted` (integer, required) — Het aantal geconverteerde tekens voor deze stem.
- `voice_id` (string, required, deprecated) — De stem-ID.
- `credits_needed_to_convert` (integer, optional, nullable) — Het aantal credits dat nodig is om de resterende audio voor deze stem te converteren.

### ProjectVideoThumbnailSheetResponseModel

- `start_thumbnail_index` (integer, required)
- `thumbnail_count` (integer, required)
- `signed_cloud_url` (string, required)

### PendingBlocksMetadataModel

- `target_global_offset_ms` (integer, required, nullable)
- `block_ids` (list of string, required)

### PendingExternalAudiosMetadataModel

- `target_global_offset_ms` (integer, required, nullable)
- `external_audio_ids` (list of string, required)

### PendingClipTask

- `type` (enum, required)
  - Allowed values: `preprocessing`, `speech_import`, `dubbing`, `video_to_music`, `media_generation`
- `progress` (double, optional, default: 0)
- `started_at_ms` (integer, optional)
- `updated_at_ms` (integer, optional)
- `metadata` (map from string to any, optional)

### GenerationSourceContext

- `generation_id` (string, required)
- `model_id` (string, required)
- `source_type` ("generation", optional, default: generation)
- `prompt` (string, optional, nullable)
- `model_provider` (string, optional, nullable)
- `generation_session_id` (string, optional, nullable)
- `session_iteration_id` (string, optional, nullable)
- `model_parameters` (map from string to any, optional, nullable)
- `extend_video` (ReferenceVideo, optional, nullable)

### VideoAnalysis

- `status` (enum, required)
  - Allowed values: `processing`, `completed`, `failed`
- `data` (VideoAnalysisResult, required, nullable)
- `updated_at_ms` (integer, optional)

### AssetTranscription

- `status` (enum, required)
  - Allowed values: `processing`, `completed`, `failed`
- `data` (AssetTranscriptionData, required, nullable)
- `updated_at_ms` (integer, optional)

### CanvasPlacement

Definieert de positionering en transformatie van assets op het canvas.

- `x_relative` (double, optional, default: 0.5)
- `y_relative` (double, optional, default: 0.5)
- `scale_x` (double, optional, default: 1)
- `scale_y` (double, optional, default: 1)
- `pivot_x` (double, optional, default: 0)
- `pivot_y` (double, optional, default: 0)
- `skew_x` (double, optional, default: 0)
- `skew_y` (double, optional, default: 0)
- `crop_top` (double, optional, default: 0)
- `crop_right` (double, optional, default: 0)
- `crop_bottom` (double, optional, default: 0)
- `crop_left` (double, optional, default: 0)
- `flip_x` (boolean, optional, default: false)
- `flip_y` (boolean, optional, default: false)

### ClipAnimation

- `enter_effect` (enum, optional, default: none)
  - Allowed values: `none`, `fade`, `float`, `gentle_float`, `zoom_in`, `drop`, `slide_left`, `slide_right`, `slide_up`, `slide_down`, `pop`, `bounce`, `spin`, `slide_bounce`
- `enter_duration_ms` (integer, optional, default: 0)
- `exit_effect` (enum, optional, default: none)
  - Allowed values: `none`, `fade`, `float`, `gentle_float`, `zoom_in`, `drop`, `slide_left`, `slide_right`, `slide_up`, `slide_down`, `pop`, `bounce`, `spin`, `slide_bounce`
- `exit_duration_ms` (integer, optional, default: 0)

### ProjectExternalAudioResponseModelSourceContext

- `source_type`: `music_explore_song` (MusicExploreSongSourceContext)
  - `music_explore_song_id` (string, required)
  - `bpm` (integer, optional, nullable)
  - `description` (string, optional, nullable)
  - `lyrics` (string, optional, nullable)
  - `title` (string, optional, nullable)
  - `vocals` (string, optional, nullable)
- `source_type`: `sfx` (SfxSourceContext)
  - `generation_config` (map from string to any, optional, nullable)
  - `sound_generation_history_item_id` (string, optional, nullable)
  - `text` (string, optional, nullable)
- `source_type`: `song` (SongSourceContext)
  - `song_id` (string, required)
  - `bpm` (integer, optional, nullable)
  - `chat_id` (string, optional, nullable)
  - `description` (string, optional, nullable)
  - `generation_settings` (map from string to any, optional, nullable)
  - `genres` (list of string, optional)
  - `is_explicit` (boolean, optional, nullable)
  - `languages` (list of string, optional)
  - `title` (string, optional, nullable)

### AudioAnalysis

- `status` (enum, required)
  - Allowed values: `processing`, `completed`, `failed`
- `data` (AudioAnalysisResult, required, nullable)
- `updated_at_ms` (integer, optional)

### ImageAnalysis

- `status` (enum, required)
  - Allowed values: `processing`, `completed`, `failed`
- `data` (ImageAnalysisResult, required, nullable)
- `updated_at_ms` (integer, optional)

### SpeakerSeparationResponseModel

- `voice_id` (string, required) — De ID van de stem.
- `sample_id` (string, required) — De ID van het sample.
- `status` (enum, required) — De status van de sprekersscheiding.
  - Allowed values: `not_started`, `pending`, `completed`, `failed`
- `speakers` (map from string to SpeakerResponseModel, optional, nullable) — De sprekers in het sample.
- `selected_speaker_ids` (list of string, optional, nullable) — De ID's van de geselecteerde sprekers.

### VerificationAttemptResponseModel

- `text` (string, required) — De tekst van de verificatiepoging.
- `date_unix` (integer, required) — De datum van de verificatiepoging in Unix-tijd.
- `accepted` (boolean, required) — Of de verificatiepoging is geaccepteerd.
- `similarity` (double, required) — De overeenkomst van de verificatiepoging.
- `levenshtein_distance` (double, required) — De Levenshtein-afstand van de verificatiepoging.
- `recording` (RecordingResponseModel, optional, nullable) — De opname van de verificatiepoging.

### ManualVerificationResponseModel

- `extra_text` (string, required) — De extra tekst van de handmatige verificatie.
- `request_time_unix` (integer, required) — De datum van de handmatige verificatie in Unix-tijd.
- `files` (list of ManualVerificationFileResponseModel, required) — De bestanden van de handmatige verificatie.

### VoiceSharingModerationCheckResponseModel

- `date_checked_unix` (integer, optional, nullable) — De datum waarop de moderatiecontrole is uitgevoerd in Unix-tijd.
- `name_value` (string, optional, nullable) — De naamwaarde van de stem.
- `name_check` (boolean, optional, nullable) — Of de controle van de naam is geslaagd.
- `description_value` (string, optional, nullable) — De beschrijvingswaarde van de stem.
- `description_check` (boolean, optional, nullable) — Of de controle van de beschrijving is geslaagd.
- `sample_ids` (list of string, optional, nullable) — Een lijst met sample-ID's.
- `sample_checks` (list of double, optional, nullable) — Een lijst met samplecontroles.
- `captcha_ids` (list of string, optional, nullable) — Een lijst met captcha-ID's.
- `captcha_checks` (list of double, optional, nullable) — Een lijst met CAPTCHA-controlewaarden.

### ReaderResourceResponseModel

- `resource_type` (enum, required) — Het type resource.
  - Allowed values: `read`, `collection`
- `resource_id` (string, required) — De ID van de resource.

### ReferenceVideo

- `generation_id` (string, optional, nullable)
- `content_asset_id` (string, optional, nullable)
- `template_node_id` (string, optional, nullable)
- `studio_clip` (StudioClipLocator, optional, nullable) — Coördinaten van een clip in een Studio-project: de payload van een studio_clip-referentie.

### VideoAnalysisResult

- `title` (string, required)
- `description` (string, required)
- `content_type` (string, optional, nullable)
- `overall_pacing` (string, optional, nullable)
- `subjects` (list of VideoSubject, optional)
- `segments` (list of VideoSegment, optional)
- `key_moments` (list of VideoKeyMoment, optional)

### AssetTranscriptionData

- `language_code` (string, required)
- `text` (string, required)
- `words` (list of string, required)
- `word_start_times_ms` (list of integer, required)
- `word_end_times_ms` (list of integer, required)
- `word_speaker_ids` (list of string, required)

### AudioAnalysisResult

- `title` (string, required)
- `description` (string, required)
- `content_type` (string, optional, nullable)
- `overall_pacing` (string, optional, nullable)
- `segments` (list of AudioSegment, optional)
- `key_moments` (list of AudioKeyMoment, optional)

### ImageAnalysisResult

- `title` (string, required)
- `description` (string, required)
- `content_type` (string, optional, nullable)
- `mood_and_style` (string, optional, nullable)
- `composition_notes` (string, optional, nullable)
- `visible_text` (string, optional, nullable) — Leesbare tekst die eventueel over de afbeelding is geplaatst of erin wordt weergegeven.
- `subjects` (list of ImageSubject, optional)

### SpeakerResponseModel

- `speaker_id` (string, required) — De ID van de spreker.
- `duration_secs` (double, required) — De duur van het sprekersegment in seconden.
- `utterances` (list of UtteranceResponseModel, optional, nullable) — De uitingen van de spreker.

### RecordingResponseModel

- `recording_id` (string, required) — De ID van de opname.
- `mime_type` (string, required) — Het MIME-type van de opname.
- `size_bytes` (integer, required) — De grootte van de opname in bytes.
- `upload_date_unix` (integer, required) — De datum van de opname in Unix-tijd.
- `transcription` (string, required) — De transcriptie van de opname.

### ManualVerificationFileResponseModel

- `file_id` (string, required) — De ID van het bestand.
- `file_name` (string, required) — De naam van het bestand.
- `mime_type` (string, required) — Het MIME-type van het bestand.
- `size_bytes` (integer, required) — De grootte van het bestand in bytes.
- `upload_date_unix` (integer, required) — De datum van het bestand in Unix-tijd.

### StudioClipLocator

Coördinaten van een clip in een Studio-project: de payload van een studio_clip-referentie.

- `project_id` (string, required)
- `chapter_id` (string, required)
- `clip_type` (enum, required)
  - Allowed values: `video`, `image`, `external_audio`, `tts_node`
- `clip_id` (string, required)
- `block_id` (string, optional, nullable)
- `preview_url` (string, optional, nullable)

### VideoSubject

- `name` (string, required)
- `description` (string, required)

### VideoSegment

- `start_ms` (integer, required)
- `end_ms` (integer, required)
- `description` (string, required)
- `subjects` (list of string, optional)
- `shot_type` (string, optional, nullable)
- `camera_movement` (string, optional, nullable)
- `transition_in` (string, optional, nullable)
- `has_speech` (boolean, optional, default: false)
- `has_music` (boolean, optional, default: false)
- `pacing` (string, optional, nullable)

### VideoKeyMoment

- `timestamp_ms` (integer, required)
- `type` (string, required)
- `description` (string, required)

### AudioSegment

- `start_ms` (integer, required)
- `end_ms` (integer, required)
- `description` (string, required)
- `segment_type` (string, optional, nullable)
- `has_speech` (boolean, optional, default: false)
- `has_music` (boolean, optional, default: false)
- `pacing` (string, optional, nullable)

### AudioKeyMoment

- `timestamp_ms` (integer, required)
- `type` (string, required)
- `description` (string, required)

### ImageSubject

- `name` (string, required)
- `description` (string, required)

### UtteranceResponseModel

- `start` (double, required) — De starttijd van de uiting in seconden.
- `end` (double, required) — De eindtijd van de uiting in seconden.

## Examples

**Response**

```json
{
  "project_id": "aw1NgEzBg83R7vgmiJt6",
  "name": "My Project",
  "create_date_unix": 1714204800,
  "created_by_user_id": "Vbtgl3bRdj6lk79rYAgx",
  "default_title_voice_ref_id": "JBFqnCBsd6RMkjVDRZzb",
  "default_paragraph_voice_ref_id": "JBFqnCBsd6RMkjVDRZzb",
  "default_model_id": "eleven_multilingual_v2",
  "can_be_downloaded": true,
  "volume_normalization": true,
  "state": "default",
  "access_level": "viewer",
  "quality_preset": "standard",
  "chapters": [
    {
      "chapter_id": "aw1NgEzBg83R7vgmiJt6",
      "name": "Chapter 1",
      "can_be_downloaded": true,
      "state": "converting",
      "last_conversion_date_unix": 1714204800,
      "conversion_progress": 0.5,
      "statistics": {
        "characters_unconverted": 1000,
        "characters_converted": 500,
        "paragraphs_converted": 20,
        "paragraphs_unconverted": 10,
        "credits_needed_to_convert": 1000,
        "voice_statistics": [
          {
            "project_voice_ref_id": "voice123",
            "characters_unconverted": 600,
            "characters_converted": 300,
            "voice_id": "voice123"
          },
          {
            "project_voice_ref_id": "voice456",
            "characters_unconverted": 400,
            "characters_converted": 200,
            "voice_id": "voice456"
          }
        ]
      },
      "last_conversion_error": "Error message"
    }
  ],
  "pronunciation_dictionary_versions": [],
  "pronunciation_dictionary_locators": [],
  "apply_text_normalization": "auto",
  "assets": [],
  "voices": [],
  "quality_check_on": false,
  "quality_check_on_when_bulk_convert": false,
  "default_title_voice_id": "JBFqnCBsd6RMkjVDRZzb",
  "default_paragraph_voice_id": "JBFqnCBsd6RMkjVDRZzb",
  "last_conversion_date_unix": 1714204800,
  "title": "My Project",
  "author": "John Doe",
  "description": "This is a description of my project.",
  "genres": [
    "Novel",
    "Short Story"
  ],
  "cover_image_url": "https://example.com/cover.jpg",
  "target_audience": "young adult",
  "language": "en",
  "content_type": "Novel",
  "original_publication_date": "2025-01-01",
  "mature_content": false,
  "isbn_number": "978-90-274-3964-2",
  "fiction": "fiction",
  "creation_meta": {
    "creation_progress": 0.5,
    "status": "pending",
    "type": "blank"
  },
  "public_share_id": "abc123def456789",
  "experimental": {},
  "base_voices": []
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```